unit MkOs2;

{ MKMSG - os/2 compatibility unit
  (c) by serge korowkin, 1998.
  2:5033/27@fidonet }

interface

type
{$ifdef os2}
 MultiWord = Longint;
 MultiInteger = Longint;
{$else}
 MultiWord = Word;
 MultiInteger = Integer;
{$endif}

{$ifdef os2}
procedure Val(S: String; var L: Longint; var I: Word);
procedure BlockRead(var F: File; var Buf; Count: Word; var Result: Word);
{$endif}
procedure ValW(S: String; var L: Word; var I: Word);

implementation

{$ifdef os2}
procedure Val(S: String; var L: Longint; var I: Word);
 var
  I_: Longint;
 begin
  System.Val(S, L, I_);
  I:=I_;
 end;

procedure BlockRead(var F: File; var Buf; Count: Word; var Result: Word);
 var
  R: Longint;
 begin
  System.BlockRead(F, Buf, Count, R);
  Result:=R;
 end;

procedure ValW(S: String; var L: Word; var I: Word);
 var
  I_: Longint;
 begin
  System.Val(S, L, I_);
  I:=I_;
 end;
{$endif}

{$ifndef os2}
procedure ValW(S: String; var L: Word; var I: Word);
 begin
  System.Val(S, L, I);
 end;
{$endif}

end.
